# log4cpp::FactoryParams Class Reference

`#include <FactoryParams.hh>`

List of all members.

## Public Types

typedef storage_t::const_iterator | const_iterator

## Public Member Functions

const std::string & | operator[] (const std::string &v) const
std::string & | operator[] (const std::string &v)
details::parameter_validator | get_for (const char *tag) const
const_iterator | find (const std::string &t) const
const_iterator | begin () const
const_iterator | end () const

## Member Typedef Documentation

typedef storage_t::const_iterator log4cpp::FactoryParams::const_iterator

## Member Function Documentation

const std::string & log4cpp::FactoryParams::operator[] | ( | const std::string & | v | ) | const

std::string& log4cpp::FactoryParams::operator[] | ( | const std::string & | v | ) | `[inline]`

details::parameter_validator log4cpp::FactoryParams::get_for | ( | const char * | tag | ) | const`[inline]`

FactoryParams::const_iterator log4cpp::FactoryParams::find | ( | const std::string & | t | ) | const

const_iterator log4cpp::FactoryParams::begin | ( |  | ) | const`[inline]`

const_iterator log4cpp::FactoryParams::end | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- FactoryParams.hh
- FactoryParams.cpp